## cong-editor-child-policy

cong-editor-child-policy —

## Synopsis

    #define     DEBUG_EDITOR_CHILD_POLICY_LIFETIMES
    #define     CONG_EDITOR_CHILD_POLICY        (obj)
    #define     CONG_EDITOR_CHILD_POLICY_CLASS  (klass)
    #define     IS_CONG_EDITOR_CHILD_POLICY     (obj)
    GType       cong_editor_child_policy_get_type
                                                (void);
    CongEditorChildPolicy* cong_editor_child_policy_construct
                                                (CongEditorChildPolicy *child_policy,
                                                 CongEditorNode *editor_node);
    CongEditorNode* cong_editor_child_policy_get_node
                                                (CongEditorChildPolicy *child_policy);
    CongEditorWidget3* cong_editor_child_policy_get_widget
                                                (CongEditorChildPolicy *child_policy);
    CongEditorChildPolicy* cong_editor_child_policy_insert_areas_for_node
                                                (CongEditorChildPolicy *child_policy,
                                                 CongEditorNode *node);
    void        cong_editor_child_policy_remove_areas_for_node
                                                (CongEditorChildPolicy *child_policy,
                                                 CongEditorNode *node);

## Description

## Details

### DEBUG_EDITOR_CHILD_POLICY_LIFETIMES

    #define DEBUG_EDITOR_CHILD_POLICY_LIFETIMES 0

### CONG_EDITOR_CHILD_POLICY()

    #define CONG_EDITOR_CHILD_POLICY(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_CHILD_POLICY_TYPE, CongEditorChildPolicy)

`obj` : |

### CONG_EDITOR_CHILD_POLICY_CLASS()

    #define CONG_EDITOR_CHILD_POLICY_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_CHILD_POLICY_TYPE, CongEditorChildPolicyClass)

`klass` : |

### IS_CONG_EDITOR_CHILD_POLICY()

    #define IS_CONG_EDITOR_CHILD_POLICY(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_CHILD_POLICY_TYPE)

`obj` : |

### cong_editor_child_policy_get_type ()

    GType       cong_editor_child_policy_get_type
                                                (void);

Returns : |

### cong_editor_child_policy_construct ()

    CongEditorChildPolicy* cong_editor_child_policy_construct
                                                (CongEditorChildPolicy *child_policy,
                                                 CongEditorNode *editor_node);

`child_policy` : |
`editor_node` : |
Returns : |

### cong_editor_child_policy_get_node ()

    CongEditorNode* cong_editor_child_policy_get_node
                                                (CongEditorChildPolicy *child_policy);

TODO: Write me

`child_policy` : |
Returns : |

### cong_editor_child_policy_get_widget ()

    CongEditorWidget3* cong_editor_child_policy_get_widget
                                                (CongEditorChildPolicy *child_policy);

`child_policy` : |
Returns : |

### cong_editor_child_policy_insert_areas_for_node ()

    CongEditorChildPolicy* cong_editor_child_policy_insert_areas_for_node
                                                (CongEditorChildPolicy *child_policy,
                                                 CongEditorNode *node);

TODO: Write me

`child_policy` : |
`node` : |
Returns : |

### cong_editor_child_policy_remove_areas_for_node ()

    void        cong_editor_child_policy_remove_areas_for_node
                                                (CongEditorChildPolicy *child_policy,
                                                 CongEditorNode *node);

TODO: Write me

`child_policy` : |
`node` : |